locked
IIS configurations for asp.net 3.5 RRS feed

  • Question

  • User156383950 posted

    Hi,

    I have installed dotnet 3.5 framework in my machine. In IIS, when i go to properties--> Asp.net settings on a web site,  i am able to see 1.1 and 2.0 frameworks available.

    My application developed using asp.net 3.5 is working fine under 2.0 framework setting, but why is 3.5 not available?

    Is this proper way to use 2.0 setting for 3.5 application

     

     

    Wednesday, March 17, 2010 3:20 AM

Answers

  • User1439985827 posted

    Is this proper way to use 2.0 setting for 3.5 application
     

    Yes. IIS is not concerned with the .NET Framework Version, it's concerned about the version of the CLR. Since the .NET Framework 3.0 and 3.5 still use the 2.0 CLR, there is nothing that needs to change in IIS.

    .NET 4.0 will be the next version of .NET to introduce a new version of the CLR.

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Wednesday, March 17, 2010 3:40 AM
  • User156383950 posted

    Thanks vcsjones. 

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Wednesday, March 17, 2010 8:15 AM

All replies

  • User1439985827 posted

    Is this proper way to use 2.0 setting for 3.5 application
     

    Yes. IIS is not concerned with the .NET Framework Version, it's concerned about the version of the CLR. Since the .NET Framework 3.0 and 3.5 still use the 2.0 CLR, there is nothing that needs to change in IIS.

    .NET 4.0 will be the next version of .NET to introduce a new version of the CLR.

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Wednesday, March 17, 2010 3:40 AM
  • User156383950 posted

    Thanks vcsjones. 

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Wednesday, March 17, 2010 8:15 AM